Product comparison · 2 network switches

D-Link DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U vs D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black

Add a product
  • 35specifications compared
  • 10differ
  • 25identical
  • 24known for one product only

Key differences

The D-Link DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U has 24 more basic switching RJ-45 Ethernet ports quantity than the D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black (48 vs 24). The D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black has 110.4 Gbit/s more switching capacity than the D-Link DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U (128 Gbit/s vs 17.6 Gbit/s). The D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black has 0.5 MB more packet buffer memory than the D-Link DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U (2 MB vs 1.5 MB). Only the D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black has 10G support. Switch layer: L2 on the D-Link DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U, L2+ on the D-Link DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black.

  • Switch layer
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:L2
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:L2+
  • Basic switching RJ-45 Ethernet ports quantity
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:48
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:24
  • 10G support
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:No
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:Yes
  • Switching capacity
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:17.6 Gbit/s
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:128 Gbit/s
  • Packet buffer memory
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:1.5 MB
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:2 MB
  • Mean time between failures (MTBF)
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:189396 h
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:287763 h
  • Power consumption (typical)
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:471.6 W
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:50.8 W
  • Operating temperature (T-T)
    • DES-3200-52P/E network switch Managed L2 Power over Ethernet (PoE) 1U:-5 - 50 °C
    • DGS-3420-28TC/E network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:0 - 50 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of DES-3200-52P/E, DGS-3420-28TC/E
59 specifications
Management features1 differ
Switch typeManagedManaged
Switch layerDiffersL2L2+
Quality of Service (QoS) supportYesYes
Web-based managementKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1065, 1066, 1155, 1156, 2578, RFC 1157, 2571-2576 SNMP, RFC 1212 Concise MIB Definitions, RFC 1213 MIB II, RFC 1215 MIB Traps Convention, RFC 1398, 1643, 1650, 2358, 2665 Ether-like, RFC 1493 Bridge, RFC 1757, 2819 RMON, RFC 1907 SNMPv2, RFC 2021 RMONv2, RFC 2233, 2863 IF, RFC 2618 Radius AuthenUnknown — not stated by the source
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers4824
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
SFP module slots quantity44
SFP/SFP+ slots quantityKnown for one2Unknown — not stated by the source
Console portRJ-45RJ-45
Basic switching RJ-45 Ethernet ports typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet (10/100/1000)
SFP+ module slots quantityKnown for oneUnknown — not stated by the source4
Network2 differ
Networking standardsDiffersIEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ah, IEEE 802.3uIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3ah, IEEE 802.3x
10G supportDiffersNoYes
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-T, 100BASE-TX, 1000BASE-TUnknown — not stated by the source
Port mirroringYesYes
Broadcast storm controlYesYes
Flow control supportYesYes
Spanning tree protocolYesYes
VLAN supportYesYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneUnknown — not stated by the sourceYes
Routing entriesKnown for oneUnknown — not stated by the source1000
Number of VLANsKnown for oneUnknown — not stated by the source4000
Data transmission2 differ
MAC address table16000 entries16000 entries
Switching capacityDiffers17.6 Gbit/s128 Gbit/s
Number of static routesKnown for one512Unknown — not stated by the source
Jumbo frames supportYesYes
Packet buffer memoryDiffers1.5 MB2 MB
Securityidentical
DHCP featuresDHCP server, DHCP clientDHCP server, DHCP client
Access Control List (ACL)YesYes
IGMP snoopingYesYes
MAC address filteringYesYes
Security algorithmsKnown for one802.1x RADIUSUnknown — not stated by the source
Multicast featuresidentical
Multicast supportYesYes
Protocolsidentical
Management protocolsKnown for oneSNMP v1/v2c/v3 & RMON v1/v2, SNTP, LLDP, SMTP, ICMPv6Unknown — not stated by the source
Designidentical
Rack mountingYesYes
StackableKnown for oneYesUnknown — not stated by the source
Form factor1U1U
LED indicatorsKnown for oneYesUnknown — not stated by the source
Number of fansKnown for one1 fan(s)Unknown — not stated by the source
SafetyKnown for oneCE LVD, UL/cUL, CBUnknown — not stated by the source
Product colourKnown for oneUnknown — not stated by the sourceBlack
Performance1 differ
Internal memoryKnown for one128 MBUnknown — not stated by the source
Mean time between failures (MTBF)Differs189396 h287763 h
Noise levelKnown for oneUnknown — not stated by the source46.5 dB
Power1 differ
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (typical)Differs471.6 W50.8 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)YesYes
Operational conditions1 differ
Operating temperature (T-T)Differs-5 - 50 °C0 - 50 °C
Storage temperature (T-T)-40 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)10 - 90%10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Weight & dimensions1 differ
Width441 mm441 mm
DepthDiffers308 mm310 mm
Height44 mm44 mm
WeightKnown for oneUnknown — not stated by the source4.12 kg
Certificatesidentical
CertificationKnown for oneMEF 21, IPv6, FCC A, CE A, VCCI A, IC, C-TickUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons